package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA89 extends MwfRequest<MWFA89, MWFA89Response> {

    @Parameter(name = "CastkaDo")
    MWFA89 castkaDo(Double castkaDo);
    @Parameter(name = "CastkaOd")
    MWFA89 castkaOd(Double castkaOd);
    @Parameter(name = "CisloKaretnihoUctu")
    MWFA89 cisloKaretnihoUctu(Long cisloKaretnihoUctu);
    @Parameter(name = "CisloKarty")
    MWFA89 cisloKarty(String cisloKarty);
    @Parameter(name = "DatumTransakceDo")
    MWFA89 datumTransakceDo(java.util.Date datumTransakceDo);
    @Parameter(name = "DatumTransakceOd")
    MWFA89 datumTransakceOd(java.util.Date datumTransakceOd);
    @Parameter(name = "DatumVypisu")
    MWFA89 datumVypisu(java.util.Date datumVypisu);
    @Parameter(name = "DruhKarty")
    MWFA89 druhKarty(String druhKarty);
    @Parameter(name = "PotlacitCashBack")
    MWFA89 potlacitCashBack(String potlacitCashBack);
}
